<header title="Contact Groups"></header>

<ion-content>
  <ion-button  expand="full" (click)="addContact()">Add</ion-button>
   <!-- Custom Table -->
   <div class="bg-white">
    <!-- Header -->
    <ion-grid>
      <ion-row class="table-wrapper ">
        <!-- <ion-item-divider> -->
        <ion-col size="6">
          <ion-label>
            <h5>Name</h5>
          </ion-label>
        </ion-col>
        <ion-col size="6">
          <ion-label>
            <h5>Phone / Email</h5>
          </ion-label>
        </ion-col>
        
      <!-- </ion-item-divider> -->

      </ion-row>
      <ion-row *ngFor="let item of contactsData; let i=index">
        <ion-col size="6">
          <ion-label>
            <p *ngIf="item.firstname || item.lastname" class="col_style">{{item.firstname}} {{item.lastname}}</p>
          </ion-label>
        </ion-col>
        <ion-col size="6">
          <ion-label>
            <p *ngIf="item.phone" class="d-block">{{item.phone}}</p>
            <p *ngIf="item.email != null || item.email != ''" class="d-block">{{item.email}}</p>
          </ion-label>
        </ion-col>
        <hr>
      </ion-row>

    </ion-grid>
    <!-- No Data -->
    <h4 class="clr-medium ion-margin-vertical ion-text-center" *ngIf="isCheck == true">
      No Record Found
    </h4>
  </div>
</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>